Skip to main content
GET
/
v2
/
agent
/
{agentId}
/
eval-scores
Get Eval Scores
curl --request GET \
  --url https://api.duvo.ai/v2/agent/{agentId}/eval-scores \
  --header 'Authorization: Bearer <token>'
{
  "total_evaluated": 0,
  "with_issues": 0,
  "flag_distribution": [
    {
      "flag": "<string>",
      "count": 0,
      "label": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

agentId
string<uuid>
required

The agent's unique identifier (Assignment ID)

Query Parameters

since
string<date-time>
required

ISO 8601 timestamp; only Jobs evaluated after this are counted

scope
enum<string>

When 'custom', only counts Runs scored against the live build's custom rubric set (most up-to-date), and only custom__* rubric flags. Defaults to 'all' (platform-catalog + custom).

Available options:
all,
custom

Response

Default Response

total_evaluated
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
with_issues
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
flag_distribution
object[]
required